%global pkgvers 0
%global scdate0 20241026
%global schash0 060cccc18090bc5400c33b551fb656c84416faf2
%global branch0 master
%global source0 https://github.com/textX/textX.git

%global sshort0 %{expand:%%{lua:print(('%{schash0}'):sub(1,8))}}

Name:           python-textx
Version:        4.1.0
Release:        %{scdate0}.%{pkgvers}.git%{sshort0}%{?dist}
Summary:        Domain-Specific Languages and parsers in Python
License:        MIT
BuildArch:      noarch

URL:            https://textx.github.io/textX

BuildRequires:  git make python3 python3-devel python3-setuptools python3-wheel python3-pip
BuildRequires:  python3dist(flit-core)

%description
TextX is a meta-language for building Domain-Specific Languages
(DSLs) in Python. It is inspired by Xtext.

%package -n     textx-python3
Summary:        %{summary}

%description -n textx-python3
TextX is a meta-language for building Domain-Specific Languages
(DSLs) in Python. It is inspired by Xtext.


%prep
%setup -T -c -n %{name}
git clone --depth 1 -n -b %{branch0} %{source0} .
git fetch --depth 1 origin %{schash0}
git reset --hard %{schash0}
git log --format=fuller
sed -i '/requires-python/d' pyproject.toml


%build
%pyproject_wheel


%install
%pyproject_install
sed -i 's/Arpeggio >= 2.0.0/Arpeggio/' %{buildroot}%{python3_sitelib}/*.dist-info/METADATA


%files -n textx-python3
%doc README.md
%license LICENSE.txt
%doc docs examples
%{_bindir}/*
%{python3_sitelib}/*


%changelog
* Wed Apr 27 2022 Cristian Balint <cristian.balint@gmail.com>
- github update releases
